libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
fixedpoint.h File Reference
`#include <cmath>`
`#include <type_traits>`
`#include "quantized.h"`
Include dependency graph for fixedpoint.h:

Go to the source code of this file.

## Classes
struct | libcamera::ipa::FixedPointQTraits< I, F, T >
| Traits type implementing fixed-point quantization conversions. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Typedefs
template<unsigned int I, unsigned int F>
using | libcamera::ipa::Q = Quantized<FixedPointQTraits<I, F, decltype(details::qtype<I + F>())>>
| Define a signed fixed-point quantized type with automatic storage width.
template<unsigned int I, unsigned int F>
using | libcamera::ipa::UQ = Quantized<FixedPointQTraits<I, F, std::make_unsigned_t<decltype(details::qtype<I + F>())>>>
| Define an unsigned fixed-point quantized type with automatic storage width.